comment -*- mode: text; tab-width:2; indent-tabs-mode:nil -*-

iOS/Cocoa Touch support (Experimental)

* Tested environment
  iOS 4.3

* Build
  ./configure --with-gui=quartz --prefix=/foo/bar --disable-shared \
              --with-ios-sdk=(iphoneos4.3|iphonesimulator4.3|...) \
              --with-ios-arch=(arm7v|i686|...)
  make
  make install
  (cd cocoa/mlterm-ios.app;make)
  cp -R cocoa/mlterm-ios.app ~/
  $(top_srcdir)/cocoa/install-ios.sh /foo/bar

  It is possible to use build-ios.sh or build-iossim.sh in cocoa/
  instead of executing ./configure manually.

* Configuration
  Edit main, font, key and color files mlterm-ios.app/etc/mlterm/
  See files in https://github.com/arakiken/mlterm/blob/master/etc/

  (Font Configuration)
  Format of font,vfont,tfont is as follows.
  [font family]( Bold Italic [font size]:[percentage])

  Unlike aafont for cairo and xft, it is not necessary to escape '-' character
  by '\' in [font family] string.

  aafont, vaafont, taafont files are not used.

* Start
  Click mlterm icon.

* Note
  o -u/--onlyucsfont and --boxdraw options are enabled by default.
  o "login -fp $USER" is executed by default. If you want to execute other shells,
    specify -e / "exec_cmd" option.
  o It is impossible to disable -s/--mdi option.
  o INSERT_SELECTION shortcut key is Command+v.
  o OPEN_SCREEN, OPEN_PTY, NEXT_PTY and PREV_PTY shortcut keys are
    Command+F1, Command+F2, Command+F3 and Command+F4, but these keys don't
    work for now.
  o ISCII font is unavailable.
    (If you want to show indic characters, build mlterm with harfbuzz and
     enable -otl/use_ot_layout option.)
  o Input method plugin is not supported.
  o Scroll upward or downward by flick gesture. If you want to select characters
    instead of scrolling, touch screen for more than 0.5 sec.
  o Scrollbar is not available.
